Name:		sbotd
Version:	0.1
Release:	1%{?dist}
Summary:	Minimal Secure Scuttlebutt Daemon

License:	AGPLv3 and BSD
URL:		ssb://%4w0BO1KXW+6zBSJlQx1YViQeknl16anzhesmwKGRh2g=.sha256
Source0:	sbotd-0.1.tar.gz
# Fix stack smash bug
Patch0:		sbotd-smash.patch

BuildRequires:	make gcc libsodium-devel sbotc
#Requires:	

%description
The Secure ScuttleButt protocol, or SSB, gossips signed append-only logs
over arbitrary transport methods.  SSB forms a solid platform for a
variety of social media applications from posts with pictures to short
message chats to chess games to event organizing.

Sbotd is a minimal implementation of SSB using TCP/IP as the transport.
In particular, it does not provide indexing of the log data, which can be added
in additional layers.

%prep
%setup -q
%patch0 -b .smash

%build
#configure
make all %{?_smp_mflags} CFLAGS="%{optflags}"

%check
make test

%install
%make_install PREFIX=/usr

%files
%doc
/usr/bin/*
/usr/share/man/man1/*

%changelog

* Sat Nov 17 2018 Stuart D. Gathman <stuart@gathman.org> 0.1-1
- Initial RPM

